Bug 1364876 - [Sat6.2] command "hammer activation-key add-host-collection" fails if using option "--host-collection" with organization_id set to default 1
Summary: [Sat6.2] command "hammer activation-key add-host-collection" fails if using o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1459860
TreeView+ depends on / blocked
 
Reported: 2016-08-08 05:55 UTC by jalviso
Modified: 2019-04-01 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1459860 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16034 None None None 2016-08-09 18:22:55 UTC

Comment 1 Andrew Kofink 2016-08-09 18:22:54 UTC
Created redmine issue http://projects.theforeman.org/issues/16034 from this bug

Comment 3 Bryan Kearney 2016-08-10 16:17:46 UTC
Upstream bug component is Content Management

Comment 4 Bryan Kearney 2016-08-10 18:17:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/16034 has been closed

Comment 8 Peter Ondrejka 2016-10-24 12:34:40 UTC
Verified in Satellite 6.3 snap 5. Host collection can be successfully added to an activation key by name with preset default org:

~]# hammer defaults list 
----------------|------
PARAMETER       | VALUE
----------------|------
organization_id | 1    
----------------|------

~]# hammer activation-key add-host-collection --host-collection testcollection --id 1
The host collection has been associated

Comment 9 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.